using UnityEngine;
using UnityEngine.Playables;

public class InterrogationRoomDoor : MonoBehaviour, IInteractable
{

    [SerializeField] private PlayableDirector director;
    private bool doorOpened;
    
    void Start()
    {
        doorOpened = false;
    }

    public void Interact()
    {
        if(!doorOpened)
        {
            director.Play();
            doorOpened = true;
        }
    }
}
